DynamicJava Javadoc: Class ConstantValueAttribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class ConstantValueAttribute

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.BytecodeComponent
            |
            +--koala.dynamicjava.classfile.AttributeInfo
                  |
                  +--koala.dynamicjava.classfile.ConstantValueAttribute

public class ConstantValueAttribute
extends AttributeInfo

This class represents a constant field value

Fields inherited from class koala.dynamicjava.classfile.AttributeInfo
`length`

Fields inherited from class koala.dynamicjava.classfile.BytecodeComponent
`constantPool, nameIndex`

Constructor Summary
`ConstantValueAttribute(ConstantPool cp, java.lang.Double value)` Creates a new constant value attribute
`ConstantValueAttribute(ConstantPool cp, java.lang.Float value)` Creates a new constant value attribute
`ConstantValueAttribute(ConstantPool cp, java.lang.Integer value)` Creates a new constant value attribute
`ConstantValueAttribute(ConstantPool cp, java.lang.Long value)` Creates a new constant value attribute
`ConstantValueAttribute(ConstantPool cp, java.lang.String value)` Creates a new constant value attribute

Method Summary
`void` | `write(java.io.DataOutputStream out)` Writes the constant info to the given output stream.

Methods inherited from class koala.dynamicjava.classfile.BytecodeComponent
`getConstantPool, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantValueAttribute

    public ConstantValueAttribute(ConstantPool cp,
                                  java.lang.Integer value)

  Creates a new constant value attribute
  Parameters:
    `cp` - the constant pool where constants are stored
    `value` - the value of this constant

### ConstantValueAttribute

    public ConstantValueAttribute(ConstantPool cp,
                                  java.lang.Long value)

  Creates a new constant value attribute
  Parameters:
    `cp` - the constant pool where constants are stored
    `value` - the value of this constant

### ConstantValueAttribute

    public ConstantValueAttribute(ConstantPool cp,
                                  java.lang.Float value)

  Creates a new constant value attribute
  Parameters:
    `cp` - the constant pool where constants are stored
    `value` - the value of this constant

### ConstantValueAttribute

    public ConstantValueAttribute(ConstantPool cp,
                                  java.lang.Double value)

  Creates a new constant value attribute
  Parameters:
    `cp` - the constant pool where constants are stored
    `value` - the value of this constant

### ConstantValueAttribute

    public ConstantValueAttribute(ConstantPool cp,
                                  java.lang.String value)

  Creates a new constant value attribute
  Parameters:
    `cp` - the constant pool where constants are stored
    `value` - the value of this constant

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Writes the constant info to the given output stream.
  Overrides:
    `write` in class `BytecodeComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.